Subject: Re: bug#18864: 24.4; F4 may be inserted into emacs macro when blink-matching-paren is enabled
From: Stefan Kangas <[email-masked]>
To: Marcin Borkowski <[email-masked]>
Cc: [email-masked], Andreas Ehliar <[email-masked]>
Date: Mon, 30 Sep 2019 03:49:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marcin Borkowski <[email-masked]> writes:

> On 2014-10-27, at 11:28, Andreas Ehliar <[email-masked]> wrote:
>
>> Starting from emacs -Q:
>> *  Open an html file (e.g. /tmp/foo.html)
>> * Type <b
>> * Start a macro with F3
>> * Quickly enter > followed by F4
>> * M-x edit-last-kbd-macro now shows that F4 has been inserted into the
>> macro.
>>
>> I believe that this bug is, in some way, caused by
>> blink-matching-paren.
>> F4 only seems to be entered into the macro when the preceding "<" is
>> highlighted.
>>
>> Also, I cannot reproduce the bug when setting blink-matching-paren to
>> nil.
>>
>> I originally saw this problem in 24.3, but I have just compiled 24.4
>> to confirm that the bug is still present there.
>
> Hello,
>
> I have just tried to reproduce it on GNU Emacs 25.1.50.4 (commit
> f182640), and could not.  Could you confirm that this is no longer
> a problem?  (If you do not want to compile Emacs from the Git repo,
> maybe try the latest pretest, see
> http://alpha.gnu.org/gnu/emacs/pretest/)

More information was requested, but none was given within close to 4
years, so I'm closing this bug report.  If this is still an issue,
please reopen the bug report.

Best regards,
Stefan Kangas